import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import BootstrapVue from 'bootstrap-vue'
import VueLogger from 'vuejs-logger';

// Use this if you also have to debug a production build
// Only use it temporarily!
// Vue.config.devtools = true  // WARNING: Do not commit this line!

Vue.use(VueLogger, {
    isEnabled: true,
    logLevel : ['debug', 'info', 'warn', 'error', 'fatal'].indexOf(process.env.VUE_APP_LOGLEVEL) === -1 ? 'warn' : process.env.VUE_APP_LOGLEVEL,
    stringifyArguments : false,
    showLogLevel : true,
    showMethodName : false,
    separator: '|',
    showConsoleColors: true
});

Vue.use(BootstrapVue)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
